| Flutter Linux Embedder |

Public Member Functions | Public Attributes | List of all members
_FlEngine Struct Reference

## Public Member Functions
| FLUTTER_API_SYMBOL (FlutterEngine) engine

## Public Attributes
GObject | parent_instance
GThread * | thread
FlDartProject * | project
FlRenderer * | renderer
FlBinaryMessenger * | binary_messenger
FlSettingsPlugin * | settings_plugin
FlTextureRegistrar * | texture_registrar
FlTaskRunner * | task_runner
FlutterEngineAOTData | aot_data
FlutterEngineProcTable | embedder_api
FlEnginePlatformMessageHandler | platform_message_handler
gpointer | platform_message_handler_data
GDestroyNotify | platform_message_handler_destroy_notify
FlEngineUpdateSemanticsNodeHandler | update_semantics_node_handler
gpointer | update_semantics_node_handler_data
GDestroyNotify | update_semantics_node_handler_destroy_notify
FlEngineOnPreEngineRestartHandler | on_pre_engine_restart_handler
gpointer | on_pre_engine_restart_handler_data
GDestroyNotify | on_pre_engine_restart_handler_destroy_notify

## Detailed Description

Definition at line 39 of file fl_engine.cc.

## Member Function Documentation

## ◆ FLUTTER_API_SYMBOL()

_FlEngine::FLUTTER_API_SYMBOL | ( | FlutterEngine |  | ) |

## Member Data Documentation

## ◆ aot_data

FlutterEngineAOTData _FlEngine::aot_data

Definition at line 51 of file fl_engine.cc.

## ◆ binary_messenger

FlBinaryMessenger* _FlEngine::binary_messenger

Definition at line 47 of file fl_engine.cc.

## ◆ embedder_api

FlutterEngineProcTable _FlEngine::embedder_api

Definition at line 53 of file fl_engine.cc.

## ◆ on_pre_engine_restart_handler

FlEngineOnPreEngineRestartHandler _FlEngine::on_pre_engine_restart_handler

Definition at line 66 of file fl_engine.cc.

## ◆ on_pre_engine_restart_handler_data

gpointer _FlEngine::on_pre_engine_restart_handler_data

Definition at line 67 of file fl_engine.cc.

## ◆ on_pre_engine_restart_handler_destroy_notify

GDestroyNotify _FlEngine::on_pre_engine_restart_handler_destroy_notify

Definition at line 68 of file fl_engine.cc.

## ◆ parent_instance

GObject _FlEngine::parent_instance

Definition at line 40 of file fl_engine.cc.

## ◆ platform_message_handler

FlEnginePlatformMessageHandler _FlEngine::platform_message_handler

Definition at line 56 of file fl_engine.cc.

## ◆ platform_message_handler_data

gpointer _FlEngine::platform_message_handler_data

Definition at line 57 of file fl_engine.cc.

## ◆ platform_message_handler_destroy_notify

GDestroyNotify _FlEngine::platform_message_handler_destroy_notify

Definition at line 58 of file fl_engine.cc.

## ◆ project

FlDartProject* _FlEngine::project

Definition at line 45 of file fl_engine.cc.

## ◆ renderer

FlRenderer* _FlEngine::renderer

Definition at line 46 of file fl_engine.cc.

## ◆ settings_plugin

FlSettingsPlugin* _FlEngine::settings_plugin

Definition at line 48 of file fl_engine.cc.

## ◆ task_runner

FlTaskRunner* _FlEngine::task_runner

Definition at line 50 of file fl_engine.cc.

## ◆ texture_registrar

FlTextureRegistrar* _FlEngine::texture_registrar

Definition at line 49 of file fl_engine.cc.

## ◆ thread

GThread* _FlEngine::thread

Definition at line 43 of file fl_engine.cc.

## ◆ update_semantics_node_handler

FlEngineUpdateSemanticsNodeHandler _FlEngine::update_semantics_node_handler

Definition at line 61 of file fl_engine.cc.

## ◆ update_semantics_node_handler_data

gpointer _FlEngine::update_semantics_node_handler_data

Definition at line 62 of file fl_engine.cc.

## ◆ update_semantics_node_handler_destroy_notify

GDestroyNotify _FlEngine::update_semantics_node_handler_destroy_notify

Definition at line 63 of file fl_engine.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_engine.cc